<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package ThemeGrill
 * @subpackage Accelerate
 * @since Accelerate 1.0
 */
?>

<section class="no-results not-found">

	<div class="page-content">
		<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

			<p><?php printf( __( 'آماده انتشار اولین نوشته خود هستید؟ <a href="%1$s">اینجا شروع کنید</a>.', 'accelerate' ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

		<?php elseif ( is_search() ) : ?>

			<p><?php _e( 'متاسفیم، چیزی مطابق جستجوی شما پیدا نشد. لطفا دوباره با واژه‌های دیگری امتحان کنید.', 'accelerate' ); ?></p>
			<?php get_search_form(); ?>

		<?php else : ?>

			<p><?php _e( 'به نظر می‌رسد ما نمی‌توانیم آنچه به دنبالش هستید را پیدا کنیم. جستجو ممکن است به شما کمک کند.', 'accelerate' ); ?></p>
			<?php get_search_form(); ?>

		<?php endif; ?>
	</div><!-- .page-content -->
	
</section><!-- .no-results -->